Skip to content
Hockay API
Esc
↑↓navigate↵open⌘Jpreview

A game's aired events, in broadcast order

GET/games/{id}/events
Authorization
x-api-keyAPI key · headerrequired
Path parameters
idstringrequired

Game id

Query parameters
afterstring

An event id: only events after it

Responses
200

OK

dataGameEvent[]required
Show properties
Array of GameEvent
idstringrequired
typestringrequired

faceoff, shot, goal, hit, penalty, fight, … (see the docs)

periodintegerrequired
min -9007199254740991 · max 9007199254740991
gameTimeSecondsintegerrequired
min -9007199254740991 · max 9007199254740991
broadcastAtstringrequired

ISO 8601 date-time (UTC)

primaryPlayerIdstring | nullrequired
secondaryPlayerIdstring | nullrequired
teamIdstring | nullrequired
homeScoreAfterintegerrequired
min -9007199254740991 · max 9007199254740991
awayScoreAfterintegerrequired
min -9007199254740991 · max 9007199254740991
commentarystring | nullrequired

JM's line

onIceobject | nullrequired
Show properties
Any of:
object
homeobjectrequired
Show properties
skatersstring[]required
goaliestring | nullrequired
inBoxstring[]required
awayobjectrequired
Show properties
skatersstring[]required
goaliestring | nullrequired
inBoxstring[]required
null
null
statobject | nullrequired

Box-score flags

Show properties
Any of:
object
object
null
null
304

Not modified (If-None-Match matched the ETag)

401

Missing, unknown, revoked, or expired key

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
403

This account cannot use this key class

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
404

Not found (or not public yet)

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
429

Rate limited; retry after the Retry-After seconds

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://hockay.com/api/v1/games/string/events' \
  -H 'x-api-key: YOUR_API_KEY' \
  -H 'Accept: application/json'
Response
{
  "data": [
    {
      "id": "string",
      "type": "string",
      "period": -9007199254740991,
      "gameTimeSeconds": -9007199254740991,
      "broadcastAt": "string",
      "primaryPlayerId": "string",
      "secondaryPlayerId": "string",
      "teamId": "string",
      "homeScoreAfter": -9007199254740991,
      "awayScoreAfter": -9007199254740991,
      "commentary": "string",
      "onIce": {
        "home": {
          "skaters": [
            "string"
          ],
          "goalie": "string",
          "inBox": [
            "string"
          ]
        },
        "away": {
          "skaters": [
            "string"
          ],
          "goalie": "string",
          "inBox": [
            "string"
          ]
        }
      },
      "stat": {
        "property1": null,
        "property2": null
      }
    }
  ]
}

Was this page helpful?